<?xml version="1.0" encoding="UTF-8" ?>
<pageDefinition xmlns="http://xmlns.oracle.com/adfm/uimodel"
                version="11.1.1.56.60" id="taskDetails1PageDef"
                Package="creditoprojectweb.pageDefs">
  <parameters/>
  <executables>
    <variableIterator id="variables"/>
    <methodIterator Binds="getTaskDetails.result"
                    DataControl="CreditoProjectWeb_SolictarCreditoTask"
                    RangeSize="25"
                    BeanClass="CreditoProjectWeb_SolictarCreditoTask.getTaskDetails"
                    id="getTaskDetailsIterator"/>
    <accessorIterator MasterBinding="getTaskDetailsIterator" Binds="task"
                      RangeSize="25"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.task"
                      id="taskIterator" StateValidation="false"/>
    <accessorIterator MasterBinding="taskIterator" Binds="systemAttributes"
                      RangeSize="25"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.systemAttributesType"
                      id="systemAttributesIterator"/>
    <accessorIterator MasterBinding="systemAttributesIterator"
                      Binds="systemActions" RangeSize="50"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.actionType"
                      id="systemActionsIterator" StateValidation="false"/>
    <accessorIterator MasterBinding="systemAttributesIterator"
                      Binds="customActions" RangeSize="25"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.actionType"
                      id="customActionsIterator"/>
    <accessorIterator MasterBinding="systemAttributesIterator" Binds="fromUser"
                      RangeSize="25"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.identityType"
                      id="fromUserIterator"/>
    <accessorIterator MasterBinding="systemAttributesIterator" Binds="assignees"
                      RangeSize="25"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.identityType"
                      id="assigneesIterator" StateValidation="false"/>
    <accessorIterator MasterBinding="taskIterator" Binds="payload"
                      RangeSize="25"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.SolictarCreditoTaskPayloadType"
                      id="payloadIterator"/>
    <accessorIterator MasterBinding="payloadIterator" Binds="SolicitudCredito"
                      RangeSize="25"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.SolicitudCreditoType"
                      id="SolicitudCreditoIterator"/>
    <accessorIterator MasterBinding="taskIterator" Binds="userComment"
                      RangeSize="25"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.commentType"
                      id="userCommentIterator" StateValidation="false"/>
    <accessorIterator MasterBinding="userCommentIterator" Binds="updatedBy"
                      RangeSize="25"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.identityType"
                      id="updatedByIterator" StateValidation="false"/>
    <accessorIterator MasterBinding="taskIterator" Binds="attachment"
                      RangeSize="25"
                      DataControl="CreditoProjectWeb_SolictarCreditoTask"
                      BeanClass="CreditoProjectWeb_SolictarCreditoTask.attachmentType"
                      id="attachmentIterator" StateValidation="false"/>
  </executables>
  <bindings>
    <methodAction id="getTaskDetails" RequiresUpdateModel="true"
                  Action="invokeMethod" MethodName="getTaskDetails"
                  IsViewObjectMethod="false"
                  DataControl="CreditoProjectWeb_SolictarCreditoTask"
                  InstanceName="CreditoProjectWeb_SolictarCreditoTask"
                  ReturnName="CreditoProjectWeb_SolictarCreditoTask.methodResults.getTaskDetails_CreditoProjectWeb_SolictarCreditoTask_getTaskDetails_result">
      <NamedData NDName="bpmWorklistContext" NDType="java.lang.String"
                 NDValue=""/>
      <NamedData NDName="bpmWorklistTaskId" NDType="java.lang.String"
                 NDValue=""/>
      <NamedData NDName="bpmWorklistTaskVersion" NDType="java.lang.String"
                 NDValue=""/>
    </methodAction>
    <methodAction IterBinding="taskIterator" id="UpdateAction"
                  RequiresUpdateModel="true" Action="invokeMethod"
                  MethodName="UpdateAction" IsViewObjectMethod="false"
                  DataControl="CreditoProjectWeb_SolictarCreditoTask"
                  InstanceName="bindings.taskIterator.currentRow.dataProvider"
                  IsLocalObjectReference="true">
      <NamedData NDName="action" NDType="java.lang.String" NDValue=""/>
    </methodAction>
    <attributeValues IterBinding="taskIterator" id="title">
      <AttrNames>
        <Item Value="title"/>
      </AttrNames>
    </attributeValues>
    <methodAction IterBinding="taskIterator" id="update"
                  RequiresUpdateModel="true" Action="invokeMethod"
                  MethodName="update" IsViewObjectMethod="false"
                  DataControl="CreditoProjectWeb_SolictarCreditoTask"
                  InstanceName="bindings.taskIterator.currentRow.dataProvider"
                  IsLocalObjectReference="true"/>
    <navigationlist IterBinding="systemActionsIterator"
                    ListOperMode="navigation" ListIter="systemActionsIterator"
                    id="systemActions">
      <AttrNames>
        <Item Value="action"/>
        <Item Value="displayName"/>
      </AttrNames>
    </navigationlist>
    <attributeValues IterBinding="systemAttributesIterator"
                     id="digitalSignatureRequired">
      <AttrNames>
        <Item Value="digitalSignatureRequired"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator"
                     id="passwordRequiredOnUpdate">
      <AttrNames>
        <Item Value="passwordRequiredOnUpdate"/>
      </AttrNames>
    </attributeValues>
    <navigationlist IterBinding="customActionsIterator"
                    ListOperMode="navigation" ListIter="customActionsIterator"
                    id="customActions">
      <AttrNames>
        <Item Value="action"/>
        <Item Value="displayName"/>
      </AttrNames>
    </navigationlist>
    <methodAction IterBinding="taskIterator" id="Claim"
                  RequiresUpdateModel="true" Action="invokeMethod"
                  MethodName="Claim" IsViewObjectMethod="false"
                  DataControl="CreditoProjectWeb_SolictarCreditoTask"
                  InstanceName="bindings.taskIterator.currentRow.dataProvider"
                  IsLocalObjectReference="true"/>
    <methodAction IterBinding="taskIterator" id="Acknowledge"
                  RequiresUpdateModel="true" Action="invokeMethod"
                  MethodName="Acknowledge" IsViewObjectMethod="false"
                  DataControl="CreditoProjectWeb_SolictarCreditoTask"
                  InstanceName="bindings.taskIterator.currentRow.dataProvider"
                  IsLocalObjectReference="true"/>
    <methodAction IterBinding="taskIterator" id="Resume"
                  RequiresUpdateModel="true" Action="invokeMethod"
                  MethodName="Resume" IsViewObjectMethod="false"
                  DataControl="CreditoProjectWeb_SolictarCreditoTask"
                  InstanceName="bindings.taskIterator.currentRow.dataProvider"
                  IsLocalObjectReference="true"/>
    <methodAction IterBinding="taskIterator" id="Withdraw"
                  RequiresUpdateModel="true" Action="invokeMethod"
                  MethodName="Withdraw" IsViewObjectMethod="false"
                  DataControl="CreditoProjectWeb_SolictarCreditoTask"
                  InstanceName="bindings.taskIterator.currentRow.dataProvider"
                  IsLocalObjectReference="true"/>
    <methodAction IterBinding="taskIterator" id="SUBMIT"
                  RequiresUpdateModel="true" Action="invokeMethod"
                  MethodName="SUBMIT" IsViewObjectMethod="false"
                  DataControl="CreditoProjectWeb_SolictarCreditoTask"
                  InstanceName="bindings.taskIterator.currentRow.dataProvider"
                  IsLocalObjectReference="true"/>
    <attributeValues IterBinding="taskIterator" id="creator">
      <AttrNames>
        <Item Value="creator"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="taskIterator" id="ownerUser">
      <AttrNames>
        <Item Value="ownerUser"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="taskIterator" id="priority">
      <AttrNames>
        <Item Value="priority"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="taskIterator" id="dueDate">
      <AttrNames>
        <Item Value="dueDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="taskIterator" id="creatorDisplayName">
      <AttrNames>
        <Item Value="creatorDisplayName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="taskIterator" id="ownerUserDisplayName">
      <AttrNames>
        <Item Value="ownerUserDisplayName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator" id="acquiredBy">
      <AttrNames>
        <Item Value="acquiredBy"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator" id="assignedDate">
      <AttrNames>
        <Item Value="assignedDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator" id="createdDate">
      <AttrNames>
        <Item Value="createdDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator" id="expirationDate">
      <AttrNames>
        <Item Value="expirationDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator" id="outcome">
      <AttrNames>
        <Item Value="outcome"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator" id="state">
      <AttrNames>
        <Item Value="state"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator" id="taskNumber">
      <AttrNames>
        <Item Value="taskNumber"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator" id="updatedDate">
      <AttrNames>
        <Item Value="updatedDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator"
                     id="actionDisplayName">
      <AttrNames>
        <Item Value="actionDisplayName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator" id="activityId">
      <AttrNames>
        <Item Value="activityId"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="fromUserIterator" id="id">
      <AttrNames>
        <Item Value="id"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="fromUserIterator" id="displayName">
      <AttrNames>
        <Item Value="displayName"/>
      </AttrNames>
    </attributeValues>
    <tree IterBinding="assigneesIterator" id="assignees">
      <nodeDefinition DefName="CreditoProjectWeb_SolictarCreditoTask.identityType">
        <AttrNames>
          <Item Value="id"/>
          <Item Value="displayName"/>
          <Item Value="type"/>
          <Item Value="systemVersionFlag"/>
        </AttrNames>
      </nodeDefinition>
    </tree>
    <attributeValues IterBinding="SolicitudCreditoIterator" id="rut">
      <AttrNames>
        <Item Value="rut"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SolicitudCreditoIterator" id="nombre">
      <AttrNames>
        <Item Value="nombre"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SolicitudCreditoIterator" id="apellido">
      <AttrNames>
        <Item Value="apellido"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SolicitudCreditoIterator" id="monto">
      <AttrNames>
        <Item Value="monto"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="SolicitudCreditoIterator" id="edad">
      <AttrNames>
        <Item Value="edad"/>
      </AttrNames>
    </attributeValues>
    <tree IterBinding="userCommentIterator" id="userComment">
      <nodeDefinition DefName="CreditoProjectWeb_SolictarCreditoTask.commentType">
        <AttrNames>
          <Item Value="comment"/>
          <Item Value="updatedDate"/>
          <Item Value="displayNameLanguage"/>
          <Item Value="action"/>
          <Item Value="systemVersionFlag"/>
          <Item Value="acl"/>
          <Item Value="doesBelongToParent"/>
          <Item Value="isSystemComment"/>
          <Item Value="taskId"/>
        </AttrNames>
        <Accessors>
          <Item Value="updatedBy"/>
        </Accessors>
      </nodeDefinition>
      <nodeDefinition DefName="CreditoProjectWeb_SolictarCreditoTask.identityType">
        <AttrNames>
          <Item Value="id"/>
          <Item Value="displayName"/>
          <Item Value="type"/>
          <Item Value="systemVersionFlag"/>
        </AttrNames>
      </nodeDefinition>
    </tree>
    <action IterBinding="userCommentIterator" id="CreateInsert"
            RequiresUpdateModel="true" Action="createInsertRow"/>
    <methodAction IterBinding="userCommentIterator" id="Delete"
                  RequiresUpdateModel="false" Action="removeCurrentRow"/>
    <attributeValues IterBinding="userCommentIterator" id="comment">
      <AttrNames>
        <Item Value="comment"/>
      </AttrNames>
    </attributeValues>
    <tree IterBinding="updatedByIterator" id="updatedBy">
      <nodeDefinition DefName="CreditoProjectWeb_SolictarCreditoTask.identityType">
        <AttrNames>
          <Item Value="id"/>
          <Item Value="displayName"/>
          <Item Value="type"/>
          <Item Value="systemVersionFlag"/>
        </AttrNames>
      </nodeDefinition>
    </tree>
    <tree IterBinding="attachmentIterator" id="attachment">
      <nodeDefinition DefName="CreditoProjectWeb_SolictarCreditoTask.attachmentType">
        <AttrNames>
          <Item Value="content"/>
          <Item Value="mimeType"/>
          <Item Value="name"/>
          <Item Value="updatedBy"/>
          <Item Value="URI"/>
          <Item Value="systemVersionFlag"/>
          <Item Value="taskId"/>
          <Item Value="version"/>
          <Item Value="acl"/>
          <Item Value="doesBelongToParent"/>
          <Item Value="updatedDate"/>
        </AttrNames>
      </nodeDefinition>
    </tree>
    <action IterBinding="attachmentIterator" id="CreateInsert1"
            RequiresUpdateModel="true" Action="createInsertRow"/>
    <action IterBinding="attachmentIterator" id="Delete1"
            RequiresUpdateModel="false" Action="removeCurrentRow"/>
    <attributeValues IterBinding="attachmentIterator" id="content">
      <AttrNames>
        <Item Value="content"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="attachmentIterator" id="mimeType">
      <AttrNames>
        <Item Value="mimeType"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="attachmentIterator" id="name">
      <AttrNames>
        <Item Value="name"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="attachmentIterator" id="URI">
      <AttrNames>
        <Item Value="URI"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator"
                     id="numberOfTimesModified">
      <AttrNames>
        <Item Value="numberOfTimesModified"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="systemAttributesIterator" id="version">
      <AttrNames>
        <Item Value="version"/>
      </AttrNames>
    </attributeValues>
    <tree IterBinding="userCommentIterator" id="userComment1">
      <nodeDefinition DefName="CreditoProjectWeb_SolictarCreditoTask.commentType">
        <AttrNames>
          <Item Value="comment"/>
          <Item Value="updatedDate"/>
          <Item Value="displayNameLanguage"/>
          <Item Value="action"/>
          <Item Value="systemVersionFlag"/>
          <Item Value="acl"/>
          <Item Value="doesBelongToParent"/>
          <Item Value="isSystemComment"/>
          <Item Value="taskId"/>
        </AttrNames>
        <Accessors>
          <Item Value="updatedBy"/>
        </Accessors>
      </nodeDefinition>
      <nodeDefinition DefName="CreditoProjectWeb_SolictarCreditoTask.identityType">
        <AttrNames>
          <Item Value="id"/>
          <Item Value="displayName"/>
          <Item Value="type"/>
          <Item Value="systemVersionFlag"/>
        </AttrNames>
      </nodeDefinition>
    </tree>
    <tree IterBinding="updatedByIterator" id="updatedBy1">
      <nodeDefinition DefName="CreditoProjectWeb_SolictarCreditoTask.identityType">
        <AttrNames>
          <Item Value="id"/>
          <Item Value="displayName"/>
          <Item Value="type"/>
          <Item Value="systemVersionFlag"/>
        </AttrNames>
      </nodeDefinition>
    </tree>
    <tree IterBinding="attachmentIterator" id="attachment1">
      <nodeDefinition DefName="CreditoProjectWeb_SolictarCreditoTask.attachmentType">
        <AttrNames>
          <Item Value="content"/>
          <Item Value="mimeType"/>
          <Item Value="name"/>
          <Item Value="updatedBy"/>
          <Item Value="URI"/>
          <Item Value="systemVersionFlag"/>
          <Item Value="taskId"/>
          <Item Value="version"/>
          <Item Value="acl"/>
          <Item Value="doesBelongToParent"/>
          <Item Value="updatedDate"/>
        </AttrNames>
      </nodeDefinition>
    </tree>
  </bindings>
</pageDefinition>
